Invite a member
Authorization
apiKey x-api-key<token>
Your workspace API key. Create and manage keys in your Fusial workspace
settings. Keys carry scopes of the form resource:action.
In: header
Request Body
application/json
TypeScript Definitions
Use the request body type in TypeScript.
Response Body
application/json
application/json
application/json
application/json
application/json
application/json
curl -X POST "https://example.com/members/invitations" \ -H "Content-Type: application/json" \ -d '{ "email": "user@example.com" }'{
"invitation": {
"id": "string",
"email": "string",
"role": "string",
"status": "pending",
"expiresAt": "2019-08-24T14:15:22Z",
"createdAt": "2019-08-24T14:15:22Z"
}
}{
"error": {
"code": "not_found",
"message": "Resource not found."
}
}{
"error": {
"code": "not_found",
"message": "Resource not found."
}
}{
"error": {
"code": "not_found",
"message": "Resource not found."
}
}{
"error": {
"code": "not_found",
"message": "Resource not found."
}
}{
"error": {
"code": "validation_error",
"message": "Invalid request input.",
"details": {
"issues": [
{
"path": "title",
"message": "String must contain at least 1 character(s)"
}
]
}
}
}